package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import com.datacloudsec.utils.SecretUtil;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.io.IOUtils;
import org.dom4j.Attribute;
import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

/* loaded from: com_datacloudsec_scan_cache.jar:com/datacloudsec/scan/cache/PoliciesSingleton.class */
public class PoliciesSingleton {
    private Map<String, Map<String, Object>> policesConfig;
    private static PoliciesSingleton instance;
    private static long lastMdfTime;
    private static File confFile = new File(Constant.WORK_DIR, "conf/policies.xml");
    private String version;

    public Map<String, Map<String, Object>> getPolicesConfig() {
        return this.policesConfig;
    }

    public String getVersion() {
        return this.version;
    }

    private PoliciesSingleton() {
    }

    public static synchronized PoliciesSingleton getInstance() throws Exception {
        byte[] b;
        if (instance == null) {
            instance = new PoliciesSingleton();
        }
        if (confFile.lastModified() != lastMdfTime) {
            instance.policesConfig = new HashMap();
            SAXReader reader = new SAXReader();
            try {
                b = SecretUtil.decryptEncrypt("aes", IOUtils.toByteArray(new FileInputStream(confFile)), "anshuyun123SEF@#".getBytes());
            } catch (Exception e) {
                b = IOUtils.toByteArray(new FileInputStream(confFile));
            }
            Document document = reader.read(new ByteArrayInputStream(b));
            Element root = document.getRootElement();
            instance.version = root.attributeValue("version");
            List<Element> eleList = root.elements();
            for (Element ele : eleList) {
                Attribute attr = ele.attribute("id");
                List<Element> listEle = ele.elements();
                Map<String, Object> map = new HashMap<>();
                for (Element childE : listEle) {
                    map.put(childE.getName().toLowerCase(), childE.getText());
                }
                instance.policesConfig.put(attr.getValue(), map);
            }
        }
        return instance;
    }

    public static void main(String[] args) throws Exception {
        System.out.println(JsonUtil.MAPPER.writeValueAsString(getInstance().getPolicesConfig()));
    }
}
